%global momorel 6
%global pyver 2.5
%global pythonver 2.5.1-11m

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Event-driven networking framework written in Python
Name: python-twisted
Version: 8.1.0
Release: %{momorel}m%{?dist}
License: LGPL
Group: Applications/Internet
URL: http://www.twistedmatrix.com/
Source: http://tmrc.mit.edu/mirror/twisted/Twisted/8.1/Twisted-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: python >= %{pythonver}
Requires: python(abi) = %{pyver}
BuildRequires: python >= %{pythonver}
BuildRequires: python-devel >= %{pythonver}
#Obsoletes: python-Twisted < 1.3.0
#Provides: python-Twisted = %{version}-%{release}

%description
An event-driven networking framework written in Python and licensed
under the LGPL. Twisted supports TCP, UDP, SSL/TLS, multicast, Unix
sockets, a large number of protocols (including HTTP, NNTP, SSH, IRC,
FTP, and others), and much more.


%package docs
Summary: Documentation for the Twisted networking framework
Group: Documentation

%description docs
An event-driven networking framework written in Python and licensed
under the LGPL. Twisted supports TCP, UDP, SSL/TLS, multicast, Unix
sockets, a large number of protocols (including HTTP, NNTP, SSH, IRC,
FTP, and others), and much more.

This package contains all the documentation for Twisted.


%prep
%setup -q -n Twisted-%{version}


%build
python setup.py build_ext


%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

# the man pages are not installed, so install them
# and remove them from the doc dir
#mkdir -p %{buildroot}%{_mandir}/man1
#for man in doc/man/*.1; do
#    install -m 0644 ${man} %{buildroot}%{_mandir}/man1/
#    rm -f ${man}
#done

# set permissions on all doc files to 644
# because some examples are set executable and some aren't, which is
# inconsistent
find doc -type f -exec chmod 644 {} \;


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc LICENSE README
%{_bindir}/*
%{python_sitelib}/twisted
%{python_sitelib}/Twisted-*.egg-info
#%%{_mandir}/man1/*

%if 0
%files docs
%defattr(-, root, root, 0755)
%doc doc/*
%endif


%changelog
* Sat Jun 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (8.1.0-1m)
- update to 8.1.0

* Wed Apr 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.0-6m)
- restrict python ver-rel for egginfo

* Sat Apr 26 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.3.0-5m)
- add egg-info to %%files section

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.0-4m)
- rebuild against gcc43

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.0-3m)
- rebuild against python-2.5

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.0-2m)
- rebuild against python-2.4.2

* Wed Mar 23 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.0-1m)
- import from FC

* Thu Mar  3 2005 Jeremy Katz <katzj@redhat.com> - 1.3.0-4
- rebuild for gcc 4

* Mon Feb 21 2005 Jeremy Katz <katzj@redhat.com> - 1.3.0-3
- disable the -docs subpackage for now

* Fri Jan 14 2005 Jeremy Katz <katzj@redhat.com> - 1.3.0-2
- remove some of the macro abuse
- require python-abi

* Tue Dec  1 2004 Rik van Riel <riel@redhat.com> 1.3.0-1
- grab freshrpms.net python-twisted package, since it is a requirement
  for the Xen tools.  Thanks go out to Matthias Saou and Thomas Vander
  Stichele, who created this package.

* Tue Jun 22 2004 Matthias Saou <http://freshrpms.net> 1.3.0-1
- Update to 1.3.0.
- Spec file changes.

* Sun May 09 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.2.0-0.fdr.1: Update to new upstream release
- split off docs
- packaged man pages correctly
- patch to remove hardcoding of python2.2

* Fri Feb 13 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.1.1-0.fdr.1: Initial RPM release

